package com.bwie.auth.config;
import org.springframework.amqp.core.*;
import org.springframework.amqp.support.converter.Jackson2JsonMessageConverter;
import org.springframework.amqp.support.converter.MessageConverter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
@Configuration
public class RabbitMQConfig {
    //创建消息转换器
    @Bean
    public MessageConverter messageConverter(){
        return new Jackson2JsonMessageConverter();
    }
    //创建队列
    @Bean
    public Queue queue(){
        return new Queue("codeQueue",true);
    }
    //创建交换机 --直连模式
    @Bean
    public DirectExchange directExchange(){
        return new DirectExchange("codeExchange");
    }
    //绑定队列和交换机
    @Bean
    public Binding binding(){
        return BindingBuilder.bind(queue()).to(directExchange()).with("codeKey");
    }
}
