package com.bwie.auth.fegin;

import com.bwie.common.pojo.User;
import com.bwie.common.pojo.vo.UserVo;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author 86175
 */
@FeignClient("bwie-user")
public interface UserFeignService {

    /**
     * 发送验证码的时候查看是否存在手机号
     */
    @PostMapping("/user/sendCode/{userPhone}")
    public Result<User> sendCode(@PathVariable String userPhone);

    @PostMapping("/user/findUserName/{userName}")
    public Result<User> findUserName(@PathVariable String userName);

    /**
     * 注册
     */
    @PostMapping("/user/register")
    public Result register(@RequestBody UserVo userVo);

}
