package com.bwie.common.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FangShiBa
 * @date 2023/12/10
 * @apiNote
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Coupon {
    /*
    优惠券编号
     */
    private Integer couponId;
    /*
    优惠券名称
     */
    private String couponName;
    /*
    优惠券过期时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date couponExpired;
    /*
    用户编号
     */
    private Integer userId;
    /*
    停车场编号
     */
    private Integer parkingId;
    /*
    优惠券状态(1-已使用 2-未使用 3-已过期)
     */
    private Integer couponState;
    /*
    优惠券详情
     */
    private String couponShow;
}
