package com.bwie.common.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FangShiBa
 * @date 2023/12/10
 * @apiNote
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class LogMake {
    /*
    预约编号
     */
    private Integer makeId;
    /*
    车牌号
     */
    private String carNum;

    /*
    车位状态(空: 1, 已预约: 2, 无: 3)
     */
    private Integer makeState;
    /*
    预约时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date makeTime;

    /*
    停车场id
     */
    private Integer parkingId;

    /*
    用户id
     */
    private Integer userId;





}
