package com.bwie.common.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FangShiBa
 * @date 2023/12/10
 * @apiNote
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Meal {
    /*
    套餐编号
     */
    private Integer mealId;
    /*
    套餐名称
     */
    private String mealName;
    /*
    套餐过期时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date mealExpired;
    /*
    用户编号
     */
    private Integer userId;
    /*
    停车场编号
     */
    private Integer parkingId;
    /*
    套餐详情
     */
    private String mealShow;
    /*
    套餐状态(已用:1, 未用:2, 过期:3)
     */
    private Integer mealState;
}
