package com.bwie.common.pojo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author FangShiBa
 * @date 2023/12/10
 * @apiNote
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class Stop {
    /*
    停车编号
     */
    private Integer stopId;
    /*
    车辆编号
     */
    private Integer carId;
    /*
    用户编号
     */
    private Integer userId;
    /*
    停车场编号
     */
    private Integer parkingId;
    /*
    开始停车时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date stopStart;
    /*
    结束停车时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date stopEnd;
    /*
    停车时长
     */
    private Integer stopTime;
    /*
    停车状态(1-待缴费 2-已交费)
     */
    private Integer stopState;
    /*
    停车应支付金额
     */
    private Integer stopPrice;
    /*
    停车支付金额
     */
    private Integer stopPay;
}
