package com.bwie.list.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.pojo.vo.VOLogMake;
import com.bwie.common.result.Result;
import com.bwie.list.service.ParkingService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class ParkingController {
    @Autowired
    private ParkingService parkingService;
    @Autowired
    private HttpServletRequest request;

    @PostMapping("/makeAppointment")
    public Result makeAppointment(@RequestBody VOLogMake voLogMake){
        log.info("功能名称:预约,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),voLogMake);

        Result result = parkingService.makeAppointment(voLogMake);

        log.info("功能名称:预约,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));

        return result;
    }

}
