package com.bwie.list.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.pojo.vo.VOStop;
import com.bwie.common.result.Result;
import com.bwie.list.service.StopService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@Log4j2
public class StopConroller {
    @Autowired
    private StopService stopService;
    @Autowired
    private HttpServletRequest request;

    /**
     * 回显
     * @param carNum
     * @return
     */
    @PostMapping("/findVOStop")
    public Result findVOStop(@RequestParam String carNum){
        log.info("功能名称:回显车牌号和应交停车费,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),carNum);
        Result result = stopService.findVOStop(carNum);
        log.info("功能名称:回显车牌号和应交停车费,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));

        return result;
    }

    /**
     * 支付模块
     * @param voStop
     * @return
     */
    @PostMapping("/takeStopPrice")
    public Result takeStopPrice(@RequestBody VOStop voStop){
        log.info("功能名称:支付,请求URI:{},请求方式:{},请求参数:{}",
                request.getRequestURI(),request.getMethod(),voStop);
        Result result = stopService.takeStopPrice(voStop);
        log.info("功能名称:支付,请求URI:{},请求方式:{},响应结果:{}",
                request.getRequestURI(),request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }




}
