package com.bwie.list.service.impl;

import com.alibaba.fastjson.JSON;
import com.bwie.common.constants.TokenConstants;
import com.bwie.common.pojo.User;
import com.bwie.common.pojo.vo.VOLogMake;
import com.bwie.common.result.Result;
import com.bwie.common.utils.JwtUtils;
import com.bwie.list.mapper.ParkingMapper;
import com.bwie.list.service.ParkingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;

@Service
public class ParkingServiceImpl implements ParkingService {
    @Autowired
    private ParkingMapper parkingMapper;
    @Autowired
    private HttpServletRequest request;
    @Autowired
    private RedisTemplate<String,String> redisTemplate;

    @Override
    public Result makeAppointment(VOLogMake voLogMake) {

        //1.获取用户信息
        String token = request.getHeader("token");
        String userKey = JwtUtils.getUserKey(token);
        String s = redisTemplate.opsForValue().get(TokenConstants.LOGIN_TOKEN_KEY + userKey);
        User user = JSON.parseObject(s, User.class);
        if (user != null) {
            voLogMake.setUserId(user.getUserId());
        }
        //2.添加预约信息
        System.out.println("开始添加");
        Integer i = parkingMapper.makeAppointment(voLogMake);
        if (i>0){
            return Result.success(voLogMake,"预约成功");
        }

        return Result.error("预约异常");
    }
}
