package com.bwie.list.service.impl;

import com.bwie.common.pojo.Car;
import com.bwie.common.pojo.DTO.DTOStop;
import com.bwie.common.pojo.Stop;
import com.bwie.common.pojo.vo.VOStop;
import com.bwie.common.result.Result;
import com.bwie.list.mapper.StopMapper;
import com.bwie.list.service.StopService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class StopServiceImpl implements StopService {
    @Autowired
    private StopMapper stopMapper;

    @Override
    public Result takeStopPrice(VOStop voStop) {
        //1.查找车牌号获取用户信息
        Car car = stopMapper.findCarId(voStop);
        System.out.println("hahahha");
            //2.通过车牌号获取停车信息(得到停车时长)
            DTOStop dtoStop = stopMapper.findStartDate(voStop.getCarNum());
            //3.一个小时3元
            if (dtoStop!=null){
                Stop stop = new Stop();
                stop.setStopId(dtoStop.getStopId());
                stop.setStopTime(dtoStop.getTime());
                stop.setStopPay(voStop.getStopPay());
                stop.setStopPrice(voStop.getStopPrice());
                Integer i = stopMapper.updateTime(stop);
                if (i>0 && stop.getStopPrice().equals(stop.getStopPay())){
                    //添加日志
                    stopMapper.addPay(car.getUserId(),dtoStop.getStopId());
                }
            }

        return Result.success("支付成功");
    }

    @Override
    public Result findVOStop(String carNum) {
       DTOStop dtoStop = stopMapper.findStartDate(carNum);
       if (dtoStop!=null){
           if (dtoStop.getTime()<1){
               dtoStop.setStopPrice(3);
           }else {
               dtoStop.setStopPrice(dtoStop.getTime()*3);
           }
           return Result.success(dtoStop,"回显成功");
       }
       return Result.error("失败");
    }
}
