package com.bwie.user.service.impl;

import com.bwie.common.pojo.User;
import com.bwie.common.pojo.vo.UserVo;
import com.bwie.common.result.Result;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import com.bwie.user.util.FastUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author 86175
 * user持久层
 */
@Service
@Log4j2
public class UserServiceImpl implements UserService {

    @Autowired
    private UserMapper userMapper;
    @Autowired
    private FastUtil fastUtil;

    @Override
    public User sendCode(String userPhone) {
        return userMapper.sendCode(userPhone);
    }

    @Override
    public User findUserName(String userName) {
        return userMapper.findUserName(userName);
    }

    @Override
    public Result register(UserVo userVo) {
        userMapper.register(userVo);
        return Result.success("注册成功");
    }

    @Override
    public Result upload(MultipartFile file) {

        String url="";

        try {
            url=fastUtil.upload(file);
        log.info("上传地址为:"+url);
            if (url==null){
                return Result.error("上传失败");
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }

        return Result.success("http://111.229.234.119:8848/"+url,"上传成功");
    }
}
