//package com.bwie.mq.consumer;
//
//import cn.hutool.core.util.RandomUtil;
//import com.alibaba.fastjson.JSON;
//import com.bwie.common.constants.QueueConstants;
//import com.bwie.common.utils.TelSmsUtils;
//import com.rabbitmq.client.Channel;
//import lombok.extern.log4j.Log4j2;
//import org.springframework.amqp.core.Message;
//import org.springframework.amqp.rabbit.annotation.Queue;
//import org.springframework.amqp.rabbit.annotation.RabbitListener;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.redis.core.RedisTemplate;
//import org.springframework.stereotype.Component;
//
//import java.util.HashMap;
//
///**
// * @Project boot-month
// * @Author 王方俞
// * @Date 2023/9/6 10:09
// * @Description
// */
//@Component
//@Log4j2
//public class MessageQueueConsumer {
//
//    @Autowired
//    private RedisTemplate<String,Object> redisTemplate;
//
//    @RabbitListener(queuesToDeclare = {@Queue(QueueConstants.SEND_CODE_QUEUE)})
//    public void sendCodeConsumer(String userPhone, Message message, Channel channel){
//        log.info("发送短信验证码的mq消费者收到的消息为:{}," +
//                        "开始消费...", JSON.toJSONString(userPhone));
//        String messageId = message.getMessageProperties().getMessageId();
//        try {
//
//            Long add = redisTemplate.opsForSet().add(QueueConstants.SEND_CODE_PREVENT_REPEAT_ID, messageId);
//            if (add < 1){
//                log.error("发送短信验证码的mq消费者收到的消息为:{}," +
//                        "消费错误--->该消息已被消费过,不可重复消费", JSON.toJSONString(userPhone));
//                return;
//            }
//            String randomCode = RandomUtil.randomNumbers(4);
//            redisTemplate.opsForValue().set(userPhone,randomCode);
//            TelSmsUtils.sendSms(userPhone,new HashMap<String, String>(){{
//                put("code",randomCode);
//            }});
//            channel.basicAck(message.getMessageProperties().getDeliveryTag(),false);
//            log.info("发送短信验证码的mq消费者收到的消息为:{}," +
//                    "消费成功并手动确认!", JSON.toJSONString(userPhone));
//        } catch (Exception exception) {
//            exception.printStackTrace();
//            redisTemplate.opsForSet().remove(QueueConstants.SEND_CODE_PREVENT_REPEAT_ID, messageId);
//            log.error("发送短信验证码的mq消费者收到的消息为:{}," +
//                    "消费异常--->已将该消息重新放入队列!", JSON.toJSONString(userPhone));
//        }
//
//    }
//}
